; find an item of any kind in a list s
; return the sublist that starts with the item
; or return #f

(define (member item s)
  (cond 
    ((null? s) #f)
    ((equal? item (car s)) s)
    (else (member item (cdr s)))))

(member 'a '(c d a))
(member '(1 3) '(1 (1 3) 3))
(member 'b '(a (b) c))
(member '(b) '(a (b) c))